var app = app || {};

var WatcherView = Backbone.View.extend({
    model: app.Watcher,
    el: '#canvas',
    //ServerList: {}, //collection
    stage: {},
    serverLayers: {},
    
    initialize: function(){
        console.log('Created main window view...');
        //this.ServerList = new app.ServerList();
        //this.ServerList.fetch();
        
        this.listenTo(app.Watcher, 'change', function(){
            this.updateStage();
            this.updateLayers();
            this.stage.draw();
        });
    },
    
    render: function(){
        console.log(JSON.stringify(this.model.servers));
    },
    
    updateStage: function(){
        this.stage = new Kinetic.Stage({
            container:  'canvas',
            width:      $('#canvas').width(),
            height:      $('#canvas').height()
        });
    },
    
    updateLayers: function(){
        console.log('Updating canvas layers list...');
        for (server in this.model.attributes){
            this.serverLayers[server] = new Kinetic.Layer();
            this.serverLayers[server]._id = server;
            //this.serverLayers[server].add();
            
            this.stage.add(this.serverLayers[server]);
            
            logText('Updating Server: ' + server + '...');
            console.log(this.serverLayers[server]);
        }
    }
});

app.WatcherView = new WatcherView();